//---------------------------------------------------------------------------

#ifndef mainH
#define mainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "wclTimeline.hpp"
//---------------------------------------------------------------------------
class TfmMain : public TForm
{
__published:	// IDE-managed Components
	TLabel *laActivationProtocol;
	TLabel *laActivationProtocolDescription;
	TLabel *laActivityId;
	TLabel *laStateCaption;
	TLabel *laState;
	TLabel *laDisplayText;
	TLabel *laDescription;
	TLabel *laProtocolCaption;
	TLabel *laProtocol;
	TButton *btRegisterProtocol;
	TButton *btUnregisterProtocol;
	TEdit *edActivationProtocol;
	TEdit *edActivationProtocolDescription;
	TButton *btOpen;
	TButton *btClose;
	TButton *btCreateActivity;
	TButton *btDestroyActivity;
	TEdit *edActivityId;
	TEdit *edDisplayText;
	TEdit *edDescription;
	TButton *btBeginSession;
	TButton *btEndSession;
	TwclTimelineChannel *wclTimelineChannel;
	TEdit *edTitleCaption;
	TLabel *laTitleCaption;
	void __fastcall FormCreate(TObject *Sender);
	void __fastcall btRegisterProtocolClick(TObject *Sender);
	void __fastcall btUnregisterProtocolClick(TObject *Sender);
	void __fastcall btOpenClick(TObject *Sender);
	void __fastcall btCloseClick(TObject *Sender);
	void __fastcall FormDestroy(TObject *Sender);
	void __fastcall btCreateActivityClick(TObject *Sender);
	void __fastcall btBeginSessionClick(TObject *Sender);
	void __fastcall btDestroyActivityClick(TObject *Sender);
	void __fastcall btEndSessionClick(TObject *Sender);
private:	// User declarations
	TwclUserActivity* FActivity;

	__fastcall void DestroyActivity();
	__fastcall void CheckParams();
public:		// User declarations
	__fastcall TfmMain(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfmMain *fmMain;
//---------------------------------------------------------------------------
#endif
